Subject: Re: CCL:Linux distributions and FORTRAN (g77)

From: Jochen <[email-masked]>
Date: Tue, 28 Sep 1999 11:34:52 +0200

On Die, 28 Sep 1999 Dr.Teerakiat Kerdcharoen wrote:

>According to Mike Falcetta's problem on G77 compiler on Linux,
>I would like to share some experiences. G77 has no option to
>promote single precision to double precision, namely -r8, which

'Cause it's of no need. Write your code the way you want.

>is available in most F77 compiler. I also had disastrous results
>>from MD simulations without double precision. All we can do is

Of, course, what did you expect ?

>that (1) use f2c instead (2) manually change all single precision
>variables to double that is laborious or (3) obtain free full

sed s/real/real*8/

-- Jochen
        Heinrich-Heine-Universität, Institut für Physikalische Chemie I
        Universitätsstr. 1, Geb. 26.43.02.29, 40225 Düsseldorf, Germany
phone 02118113681 fax 02118115195  --  www-public.rz.uni-duesseldorf.de/~jochen
[email-masked] -- [email-masked] -- [email-masked]